#include "stdafx.h"

CCopyImageProperties * g_pProp;

//---------------------------------------------------------------------------------
void CCopyImageProperties :: Set( int iWidth, int iHeight, bool bVector ) { 
	m_iWidth=max(32,min(8192,iWidth));		// limit to reasonable width / height
	m_iHeight=max(32,min(8192,iHeight));	
	m_bVector=bVector;
	}

//---------------------------------------------------------------------------------
LRESULT CALLBACK CopyImageProperties(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam){
	char buf[256];
	switch (message){
		case WM_INITDIALOG:
			//-- Width[  ] and Height[  ]
			sprintf( buf, "%d", g_pProp->m_iWidth );
			SetWindowText( GetDlgItem( hDlg, IDC_EDTWIDTH ), buf );			

			sprintf( buf, "%d", g_pProp->m_iHeight );
			SetWindowText( GetDlgItem( hDlg, IDC_EDTHEIGHT ), buf );			

			//-- for vector/bitmap - unset one of them, then set the other
			SendMessage( GetDlgItem( hDlg, g_pProp->m_bVector?IDC_SELBITMAP:IDC_SELVECTOR ), BM_SETCHECK, BST_UNCHECKED, 0);
			SendMessage( GetDlgItem( hDlg, g_pProp->m_bVector?IDC_SELVECTOR:IDC_SELBITMAP ), BM_SETCHECK, BST_CHECKED, 0);
			return TRUE;

		case WM_COMMAND: {
			int wmId = LOWORD(wParam); 
			switch( wmId ) { 
				case IDOK : 
					GetWindowText( GetDlgItem(hDlg,IDC_EDTWIDTH), buf, 256 );	
					g_pProp->m_iWidth = atoi(buf);		

					GetWindowText( GetDlgItem(hDlg,IDC_EDTHEIGHT), buf, 256 );	
					g_pProp->m_iHeight = atoi(buf);		

					g_pProp->m_bVector = ( BST_CHECKED == SendMessage( GetDlgItem( hDlg, IDC_SELVECTOR ), BM_GETCHECK, 0, 0 ) );
					// no break
					
				case IDCANCEL : 
					EndDialog(hDlg, LOWORD(wParam));
					return TRUE;
					break;
				}
			break;
			}

		}
		
	return FALSE;
	}

bool GetCopyImageProperties( HWND hWndOwner, CCopyImageProperties * pProp ) { 
	g_pProp = pProp;
	return IDOK == DialogBox( GetInstance( ), (LPCTSTR)IDD_COPYIMAGE, hWndOwner, (DLGPROC)CopyImageProperties) ;
	}


